Package com.collibra.catalog.api.component.classification.dto

# Class DisconnectDataCategoriesFromDataClassRequest

Object
DisconnectDataCategoriesFromDataClassRequest

All Implemented Interfaces:
  `Serializable`

public class DisconnectDataCategoriesFromDataClassRequest extends Object implements Serializable
Request to disconnect data classes from data category.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DisconnectDataCategoriesFromDataClassRequest.DisconnectDataCategoriesFromDataClassRequestBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DisconnectDataCategoriesFromDataClassRequest()`
  `DisconnectDataCategoriesFromDataClassRequest(List<UUID> dataCategoryIds, UUID dataClassId)`
  Creates a new `DisconnectDataCategoriesFromDataClassRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DisconnectDataCategoriesFromDataClassRequest.DisconnectDataCategoriesFromDataClassRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<UUID>`
  `getDataCategoryIds()`
  The ids of the data categories to be disconnected from the data class.
  `UUID`
  `getDataClassId()`
  The id of the data class to be disconnected from the data categories.
  `int`
  `hashCode()`
  `void`
  `setDataCategoryIds(List<UUID> dataCategoryIds)`
  The ids of the data categories to be disconnected from the data class.
  `void`
  `setDataClassId(UUID dataClassId)`
  The id of the data class to be disconnected from the data categories.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DisconnectDataCategoriesFromDataClassRequest

    public DisconnectDataCategoriesFromDataClassRequest(List<UUID> dataCategoryIds, UUID dataClassId)
    Creates a new `DisconnectDataCategoriesFromDataClassRequest` instance.
    Parameters:
      `dataCategoryIds` - The ids of the data categories to be disconnected from the data class.
      `dataClassId` - The id of the data class to be disconnected from the data categories.

  - ### DisconnectDataCategoriesFromDataClassRequest

    public DisconnectDataCategoriesFromDataClassRequest()

- ## Method Details

  - ### builder

    public static DisconnectDataCategoriesFromDataClassRequest.DisconnectDataCategoriesFromDataClassRequestBuilder builder()

  - ### getDataCategoryIds

    public List<UUID> getDataCategoryIds()
    The ids of the data categories to be disconnected from the data class.

  - ### getDataClassId

    public UUID getDataClassId()
    The id of the data class to be disconnected from the data categories.

  - ### setDataCategoryIds

    public void setDataCategoryIds(List<UUID> dataCategoryIds)
    The ids of the data categories to be disconnected from the data class.

  - ### setDataClassId

    public void setDataClassId(UUID dataClassId)
    The id of the data class to be disconnected from the data categories.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`